| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Genfun::GaudiMathImplementation::Constant Class Reference

`#include <GaudiMath/Constant.h>`

List of all members.

## Detailed Description

Fixed constant function.

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2003-08-31

Definition at line 25 of file Constant.h.

## Public Member Functions
| FUNCTION_OBJECT_DEF (Constant)
| From CLHEP/GenericFunctions.
| Constant (const double value, const size_t dim)
| Standard constructor.
| Constant (const Constant &right)
| copy constructor
virtual | ~Constant ()
| destructor
virtual unsigned int | dimensionality () const
| dimensionality of the problem
virtual bool | hasAnalyticDerivative () const
| Does this function have an analytic derivative?
virtual double | operator() (double) const
| Function value.
virtual double | operator() (const Argument &) const
| Function value.
virtual Derivative | partial (unsigned int i) const
| Derivatives.
## Private Member Functions
| Constant ()
Constant & | operator= (const Constant &)
## Private Attributes
double | m_value
size_t | m_DIM

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::Constant::Constant | ( | const double | value,
|  | const size_t | dim |
| ) |  |  |

Standard constructor.

Parameters:

  | value | of the function
  | dim | dimensionality

Definition at line 31 of file Constant.cpp.

    00033       : AbsFunction ()
    00034       , m_value     ( value )
    00035       , m_DIM       ( dim   )
    00036     {};

Genfun::GaudiMathImplementation::Constant::Constant | ( | const Constant & | right | ) |

copy constructor

Definition at line 43 of file Constant.cpp.

    00044       : AbsFunction()
    00045       , m_value ( right.m_value )
    00046       , m_DIM   ( right.m_DIM   )
    00047     {};

Genfun::GaudiMathImplementation::Constant::~Constant | ( |  | ) | `[virtual]`

destructor

Definition at line 53 of file Constant.cpp.

    00053 {}

Genfun::GaudiMathImplementation::Constant::Constant | ( |  | ) | `[private]`

Referenced by partial().

## Member Function Documentation

Genfun::GaudiMathImplementation::Constant::FUNCTION_OBJECT_DEF | ( | Constant |  | ) |

From CLHEP/GenericFunctions.

virtual unsigned int Genfun::GaudiMathImplementation::Constant::dimensionality | ( |  | ) | const`[inline, virtual]`

dimensionality of the problem

Definition at line 50 of file Constant.h.

References m_DIM.

    00050 { return m_DIM   ; }

virtual bool Genfun::GaudiMathImplementation::Constant::hasAnalyticDerivative | ( |  | ) | const`[inline, virtual]`

Does this function have an analytic derivative?

Definition at line 52 of file Constant.h.

    00052 { return true    ; }

virtual double Genfun::GaudiMathImplementation::Constant::operator() | ( | double |  | ) | const`[inline, virtual]`

Function value.

Definition at line 54 of file Constant.h.

References m_value.

    00054 { return m_value ; }

virtual double Genfun::GaudiMathImplementation::Constant::operator() | ( | const Argument & |  | ) | const`[inline, virtual]`

Function value.

Definition at line 56 of file Constant.h.

References m_value.

    00056 { return m_value ; }

Derivative Genfun::GaudiMathImplementation::Constant::partial | ( | unsigned int | i | ) | const`[virtual]`

Derivatives.

Definition at line 59 of file Constant.cpp.

References Constant(), and m_DIM.

    00060     {
    00061       const AbsFunction& aux = Constant( 0.0 , m_DIM );
    00062       return FunctionNoop( &aux );
    00063     };

Constant& Genfun::GaudiMathImplementation::Constant::operator= | ( | const Constant & |  | ) | `[private]`

## Member Data Documentation

double Genfun::GaudiMathImplementation::Constant::m_value`[private]`

Definition at line 69 of file Constant.h.

Referenced by operator()().

size_t Genfun::GaudiMathImplementation::Constant::m_DIM`[private]`

Definition at line 70 of file Constant.h.

Referenced by dimensionality(), and partial().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiMath/Constant.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/src/Lib/Constant.cpp